SDL_COLORSPACEMATRIX(3)

NAME
SDL_COLORSPACEMATRIX - A macro to retrieve the matrix coefficients of an SDL_Colorspace .

HEADER FILE
Defined in SDL3/SDL_pixels.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_COLORSPACEMATRIX(cspace)     (SDL_MatrixCoefficients)((cspace) & 0x1F)

RETURN VALUE
Returns the SDL_MatrixCoefficients
 of cspace .

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.